Name:          gypsy
Version:       0.8
%define subrel 1
Release:       %mkrel 2
Summary:       A GPS multiplexing daemon

Group:         System/Libraries
# See LICENSE file for details
License:       LGPLv2 and GPLv2
URL:           http://gypsy.freedesktop.org/
Source0:       http://gypsy.freedesktop.org/releases/%{name}-%{version}.tar.gz
Patch0:	       gypsy-0.8-gcc46.patch
Patch1:	       gypsy-CVE-2011-0523.patch
Patch2:	       gypsy-CVE-2011-0524.patch
Patch3:	       gypsy-0.8-format-strings.patch

BuildRequires: bluez-devel
BuildRequires: dbus-devel
BuildRequires: dbus-glib-devel
BuildRequires: glib2-devel
BuildRequires: gtk-doc
BuildRequires: libxslt-devel

Requires: dbus

%description
Gypsy is a GPS multiplexing daemon which allows multiple clients to 
access GPS data from multiple GPS sources concurrently. 

%files
%doc AUTHORS COPYING COPYING.lib LICENSE
%{_sysconfdir}/gypsy.conf
%{_sysconfdir}/dbus-1/system.d/Gypsy.conf
%{_datadir}/dbus-1/system-services/org.freedesktop.Gypsy.service
%{_libexecdir}/gypsy-daemon


#--------------------------------------------------------------------

%define libgypsy_major 0
%define libgypsy %mklibname gypsy %{libgypsy_major}

%package -n %{libgypsy}
Summary:   A GPS multiplexing daemon
Group: System/Libraries

%description -n %{libgypsy}
A GPS multiplexing daemon

%files -n %{libgypsy}
%{_libdir}/libgypsy.so.%{libgypsy_major}*

#--------------------------------------------------------------------

%package devel
Summary: Development package for gypsy
Group:    Development/Other
Requires: %{name} = %{version}-%{release}
Requires: dbus-glib-devel
Requires: pkgconfig
Requires: %{libgypsy} = %{version}-%{release}
%description devel
Header files for development with gypsy.

%files devel
%{_libdir}/pkgconfig/gypsy.pc
%{_includedir}/gypsy
%{_libdir}/libgypsy.so

#--------------------------------------------------------------------

%package docs
Summary: Documentation files for %{name}
Group:    Books/Computer books 
Requires: %{name} = %{version}-%{release}
Requires: gtk-doc
BuildArch: noarch

%description docs
This package contains developer documentation for %{name}.

%files docs
%doc %{_datadir}/gtk-doc/html/gypsy

#--------------------------------------------------------------------

%prep
%setup -q
%apply_patches

%build

autoreconf -fi

%configure --disable-static
%make

%install
rm -rf %{buildroot}
%makeinstall_std
rm %{buildroot}%{_libdir}/libgypsy.la

%clean
rm -rf %{buildroot}


%changelog

* Wed Aug 08 2012 luigiwalser <luigiwalser> 0.8-2.1.mga2
+ Revision: 280064
- modify CVE-2011-0524 patch to fix format errors
- update patch 4 to fix another format string error
- add patch from OpenSuSE to fix unused var gcc error (patch 1)
- add patches from upstream via OpenSuSE to fix CVE-2011-052[34] (patches 2/3)
- add patch to fix format string gcc errors (patch 4)

  + boklm <boklm>
    - rebuild for bug #497

* Mon Mar 07 2011 dmorgan <dmorgan> 0.8-1.mga1
+ Revision: 66274
- Clean spec file
- imported package gypsy

